Number Settings
All operations require authentication.
List numbersProduction
List numbers. Returns the numbers of the customer, across all billing accounts. Get a number service for its billing account and settings.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ aliases \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a number serviceProduction
Get a number service. Returns the number service, without its billing account. Use it to find a number across all billing accounts.
Path parameters
Your line number
Response
IAM resource metadata
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ aliases/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string"}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
Your line number
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ aliases/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
Your line number
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ aliases/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
Your line number
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ aliases/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Check for special numbersProduction
Check for special numbers. Returns true when the billing account has at least one special number, such as a premium rate number.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ hasSpecialNumbers \
-H "authorization: Bearer $OVH_TOKEN"true
List numbersProduction
List numbers. Returns the numbers of the billing account. A number has no phone: it routes incoming calls with a feature.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ number \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a numberProduction
Get a number. Returns the number: feature type, description, service type, and the pool it belongs to if it is part of one.
Path parameters
The name of your billingAccount
Name of the service
Response
Description of the service
Feature enabled on the number
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlParent of the service (if it is part of a pool)
Name of the service
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ number/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "featureType": "aiAgent", "partOfPool": "string", "serviceName": "string", "serviceType": "alias"}
Update a numberProduction
Update a number. Updates the description of the number. The feature type is changed with the changeFeatureType call.
Path parameters
The name of your billingAccount
Name of the service
Request body (required)
Description of the service
Feature enabled on the number
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlParent of the service (if it is part of a pool)
Name of the service
All existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ number/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Cancel a scheduled conversion to lineProduction
Cancel a scheduled conversion to line. Cancels the scheduled conversion of the number to a line. The number keeps its current feature.
Path parameters
The name of your billingAccount
Name of the service
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ number/ {serviceName}/ cancelConvertToLine \
-H "authorization: Bearer $OVH_TOKEN"Change the number feature typeProduction
Change the number feature type. Changes the feature of the number, such as redirect, conference, contact center or PBX. The previous configuration is lost.
Path parameters
The name of your billingAccount
Name of the service
Request body (required)
The new feature of the number
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ number/ {serviceName}/ changeFeatureType \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Schedule a conversion to lineProduction
Schedule a conversion to line. Schedules the conversion of the number to a line with a phone. Returns the offer task.
Path parameters
The name of your billingAccount
Name of the service
Request body (required)
The future offer of the converted number
Response
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ number/ {serviceName}/ convertToLine \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}
List line offers for conversionProduction
List line offers for conversion. Returns the line offers and contracts available to convert the number to a line.
Path parameters
The name of your billingAccount
Name of the service
Response
Informations related to a line contracts
Informations related to a line offer
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ number/ {serviceName}/ convertToLineAvailableOffers \
-H "authorization: Bearer $OVH_TOKEN"{ "contracts": [ { "content": "string", "name": "string", "url": "string" } ], "offers": [ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } } ]}
List premium rate numbersProduction
List premium rate numbers. Returns the premium rate numbers of the billing account, subject to the French RSVA rules.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ rsva \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a premium rate numberProduction
Get a premium rate number. Returns the premium rate number (French SVA numbers subject to the RSVA reform) and its typology, the category of the service.
Path parameters
The name of your billingAccount
Response
Special number category
accessannouncedconferencingcontentsAutocontentsManualdirectorygameslinkingm2mrelationshipExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ rsva/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string", "typology": "access"}
Update a premium rate numberProduction
Update a premium rate number. Updates the typology of the premium rate number, such as relationship, contents, games, directory or conferencing.
Path parameters
The name of your billingAccount
Request body (required)
Special number category
accessannouncedconferencingcontentsAutocontentsManualdirectorygameslinkingm2mrelationshipResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ rsva/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List allowed rate codesProduction
List allowed rate codes. Returns the rate codes the premium rate number can use, with the price per minute and per call without tax of each.
Path parameters
The name of your billingAccount
Response
The Rsva rate code
Price per call
Price per minute
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ rsva/ {serviceName}/ allowedRateCodes \
-H "authorization: Bearer $OVH_TOKEN"[ { "code": "string", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
Cancel the scheduled rate codeProduction
Cancel the scheduled rate code. Cancels the scheduled change of rate code. It must be done before the cancellation limit date of the scheduled rate code.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ rsva/ {serviceName}/ cancelScheduledRateCode \
-H "authorization: Bearer $OVH_TOKEN"Get the current rate codeProduction
Get the current rate code. Returns the rate code currently applied to the premium rate number, with its prices and repayment prices without tax.
Path parameters
The name of your billingAccount
Response
Cancelable datetime deadline for the new scheduled rateCode
Effective datetime
Price per call
Price in minute
Scheduled rate code
Repayment per call
Repayment per minute
Fees concerning rateCode update
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ rsva/ {serviceName}/ currentRateCode \
-H "authorization: Bearer $OVH_TOKEN"{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}
Schedule a rate codeProduction
Schedule a rate code. Schedules a new rate code for the premium rate number. Returns the rate code with its effective date and the price of the change.
Path parameters
The name of your billingAccount
Request body (required)
The specified rate code
Response
Cancelable datetime deadline for the new scheduled rateCode
Effective datetime
Price per call
Price in minute
Scheduled rate code
Repayment per call
Repayment per minute
Fees concerning rateCode update
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ rsva/ {serviceName}/ scheduleRateCode \
-H "authorization: Bearer $OVH_TOKEN"{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}
Get the scheduled rate codeProduction
Get the scheduled rate code. Returns the rate code scheduled for the premium rate number, with its effective date and the date until which it can be cancelled.
Path parameters
The name of your billingAccount
Response
Cancelable datetime deadline for the new scheduled rateCode
Effective datetime
Price per call
Price in minute
Scheduled rate code
Repayment per call
Repayment per minute
Fees concerning rateCode update
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ rsva/ {serviceName}/ scheduledRateCode \
-H "authorization: Bearer $OVH_TOKEN"{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}
List schedulersProduction
List schedulers. Returns the services of the billing account that have a scheduler. A scheduler holds calendar events, such as closing days.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a schedulerProduction
Get a scheduler. Returns the scheduler of the service and its timezone. The scheduler holds calendar events, such as closing days.
Path parameters
The name of your billingAccount
Response
Time zones available for scheduled events time definitions
Europe/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/ZurichExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string", "timeZone": "Europe/Berlin"}
Update a schedulerProduction
Update a scheduler. Updates the scheduler of the service. Only its timezone can be changed, the events are managed separately.
Path parameters
The name of your billingAccount
Request body (required)
Time zones available for scheduled events time definitions
Europe/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/ZurichResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List scheduler eventsProduction
List scheduler events. Returns the identifiers of the events of the scheduler. Get an event for its dates, category and description.
Path parameters
The name of your billingAccount
Query parameters
Filter the value of categories property (=)
holidaysscheduler1scheduler2scheduler3Filter the value of dateEnd property (>=)
Filter the value of dateEnd property (<=)
Filter the value of dateStart property (>=)
Filter the value of dateStart property (<=)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a scheduler eventProduction
Get a scheduler event. Returns the scheduler event: title, description, start and end dates, and category.
Path parameters
The name of your billingAccount
The unique ICS event identifier
Response
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The unique ICS event identifier
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"{ "categories": "holidays", "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "description": "string", "title": "string", "uid": "string"}
Create a scheduler eventProduction
Create a scheduler event. Creates an event in the scheduler, such as a closing day, with a title, start and end dates and a category (holidays or scheduler1 to scheduler3).
Path parameters
The name of your billingAccount
Request body (required)
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The descritpion of the event
The title of the event
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events \
-H "authorization: Bearer $OVH_TOKEN"Delete a scheduler eventProduction
Delete a scheduler event. Deletes the scheduler event. It no longer applies to the calls of the service.
Path parameters
The name of your billingAccount
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"Update a scheduler eventProduction
Update a scheduler event. Updates the scheduler event: title, description, start and end dates, and category.
Path parameters
The name of your billingAccount
The unique ICS event identifier
Request body (required)
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"Import an ICS calendarProduction
Import an ICS calendar. Imports scheduler events from a calendar file in ICS format, given by its URL. Returns the task that performs the import.
Path parameters
The name of your billingAccount
Request body (required)
The URL of your ICS formated calendar
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ importIcsCalendar \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List call filtering servicesProduction
List call filtering services. Returns the services of the billing account that support call filtering with allowed or blocked numbers.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get call filtering settingsProduction
Get call filtering settings. Returns the call filtering settings of the service: incoming and outgoing filtering mode.
Path parameters
The name of your billingAccount
Response
Type of screen list
blacklistdisabledwhitelistType of screen list
blacklistdisabledwhitelistExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "incomingScreenList": "blacklist", "outgoingScreenList": "blacklist", "serviceName": "string"}
Update call filtering settingsProduction
Update call filtering settings. Updates the incoming and outgoing filtering mode of the service: whitelist, blacklist or disabled.
Path parameters
The name of your billingAccount
Request body (required)
Type of screen list
blacklistdisabledwhitelistType of screen list
blacklistdisabledwhitelistResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List filtering rulesProduction
List filtering rules. Returns the identifiers of the call filtering rules of the service. Each rule allows or blocks a number.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a filtering ruleProduction
Get a filtering rule. Returns the call filtering rule: number, nature, list type (incoming or outgoing, whitelist or blacklist) and status.
Path parameters
The name of your billingAccount
Id of the object
Response
Nature of screen list
faxinternationalservicesspecialvoicemailType of screen list
incomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteListExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "callNumber": "string", "id": 0, "nature": "fax", "status": "string", "type": "incomingBlackList"}
Create a filtering ruleProduction
Create a filtering rule. Creates a call filtering rule that allows or blocks a number or a nature of numbers (special, international, voicemail, services or fax), for incoming or outgoing calls.
Path parameters
The name of your billingAccount
Request body (required)
The callNumber of the generic screen list
The nature of the generic screen list
faxinternationalservicesspecialvoicemailThe type of the generic screen list
incomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteListResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"Delete a filtering ruleProduction
Delete a filtering rule. Deletes the call filtering rule. The number or nature of numbers it covered is no longer allowed or blocked by it.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List time condition servicesProduction
List time condition services. Returns the services of the billing account that support time conditions. A time condition routes calls by time slot.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a time condition serviceProduction
Get a time condition service. Returns the time condition service. Its time conditions route calls by time slot.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string"}
List time conditionsProduction
List time conditions. Returns the identifiers of the time conditions of the service. A time condition routes calls by time slot.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a time conditionProduction
Get a time condition. Returns the time condition: day, start and end hours (hhmm), status, and the routing policy applied during the time slot.
Path parameters
The name of your billingAccount
Id of the object
Response
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}
Create a time conditionProduction
Create a time condition. Creates a time condition: a day (or holiday), start and end hours in hhmm format, and the routing policy to apply during that time slot.
Path parameters
The name of your billingAccount
Request body (required)
The day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayThe hour where the time condition begins (format : hhmm)
The hour where the time condition ends (format : hhmm)
The policy
availableslot1slot2slot3Response
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition \
-H "authorization: Bearer $OVH_TOKEN"{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}
Delete a time conditionProduction
Delete a time condition. Deletes the time condition. Calls received during its time slot are no longer routed by its policy.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a time conditionProduction
Update a time condition. Updates the day, the start and end hours (hhmm), the status and the routing policy (slot1, slot2, slot3 or available) of the time condition.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get time condition optionsProduction
Get time condition options. Returns the time condition options of the service: status and routing outside time slots.
Path parameters
The name of your billingAccount
Response
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailStatus of time conditions
deleteddisabledenabledTimeout value of the time condition
51015202530354045505560657075808590Number associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"{ "slot1Number": "string", "slot1Type": "number", "slot2Number": "string", "slot2Type": "number", "slot3Number": "string", "slot3Type": "number", "status": "deleted", "timeout": 5, "unavailableNumber": "string", "unavailableType": "number"}
Update time condition optionsProduction
Update time condition options. Updates the time condition options: global status, the action (voicemail or number) of each slot and when unavailable, and the timeout.
Path parameters
The name of your billingAccount
Request body (required)
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailStatus of time conditions
deleteddisabledenabledTimeout value of the time condition
51015202530354045505560657075808590Number associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"